Bug 812754 - [abrt] kernel: [244099.037482] WARNING: at kernel/softirq.c:159 local_bh_enable_ip+0x7a/0xa0()
[abrt] kernel: [244099.037482] WARNING: at kernel/softirq.c:159 local_bh_enab...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:12aca3250348c8343cb7f7d39fb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 03:29 EDT by cameron
Modified: 2012-09-04 13:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cameron 2012-04-16 03:29:54 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.10-3.fc16.x86_64 root=/dev/mapper/vg_nexploitsyste-Fedora16 ro rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 rd.lvm.lv=vg_nexploitsyste/lv_swap rd.lvm.lv=vg_nexploitsyste/Fedora16 LANG=en_US.UTF-8
kernel:         3.2.10-3.fc16.x86_64
reason:         [244099.037482] WARNING: at kernel/softirq.c:159 local_bh_enable_ip+0x7a/0xa0()
time:           Sun 25 Mar 2012 09:05:54 PM EDT

backtrace:
:[244099.037482] WARNING: at kernel/softirq.c:159 local_bh_enable_ip+0x7a/0xa0()
:[244099.037490] Hardware name: Satellite L750D
:[244099.037495] Modules linked in: tcp_lp fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack uvcvideo videodev media v4l2_compat_ioctl32 arc4 joydev rtl8192ce rtl8192c_common rtlwifi microcode snd_hda_codec_conexant mac80211 snd_hda_codec_hdmi serio_raw k10temp cfg80211 atl1c snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm sp5100_tco i2c_piix4 snd_timer snd soundcore snd_page_alloc toshiba_acpi sparse_keymap rfkill vhost_net macvtap macvlan tun virtio_net kvm_amd kvm sunrpc uinput ums_realtek usb_storage wmi video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_sc
:an]
:[244099.037703] Pid: 12179, comm: kworker/u:2 Not tainted 3.2.10-3.fc16.x86_64 #1
:[244099.037710] Call Trace:
:[244099.037732]  [<ffffffff8106e72f>] warn_slowpath_common+0x7f/0xc0
:[244099.037771]  [<ffffffffa03f10b9>] ? rtl_pci_reset_trx_ring+0x199/0x230 [rtlwifi]
:[244099.037784]  [<ffffffff8106e78a>] warn_slowpath_null+0x1a/0x20
:[244099.037795]  [<ffffffff81075c7a>] local_bh_enable_ip+0x7a/0xa0
:[244099.037806]  [<ffffffff815e4b15>] _raw_spin_unlock_bh+0x15/0x20
:[244099.037839]  [<ffffffffa044f27e>] destroy_conntrack+0x9e/0x120 [nf_conntrack]
:[244099.037857]  [<ffffffff81500b87>] nf_conntrack_destroy+0x17/0x20
:[244099.037868]  [<ffffffff814c9255>] skb_release_head_state+0xe5/0x120
:[244099.037891]  [<ffffffffa03f10b9>] ? rtl_pci_reset_trx_ring+0x199/0x230 [rtlwifi]
:[244099.037900]  [<ffffffff814c8f76>] __kfree_skb+0x16/0xa0
:[244099.037909]  [<ffffffff814c90f5>] kfree_skb+0x45/0xc0
:[244099.037930]  [<ffffffffa03f10b9>] rtl_pci_reset_trx_ring+0x199/0x230 [rtlwifi]
:[244099.037951]  [<ffffffffa03edfba>] rtl_ps_enable_nic+0x7a/0xe0 [rtlwifi]
:[244099.037973]  [<ffffffffa0408eae>] rtl92c_phy_set_rf_power_state+0x5ae/0x870 [rtl8192ce]
:[244099.037993]  [<ffffffffa03edd67>] rtl_ps_set_rf_state+0x67/0x100 [rtlwifi]
:[244099.038013]  [<ffffffffa03ede44>] _rtl_ps_inactive_ps+0x44/0xd0 [rtlwifi]
:[244099.038033]  [<ffffffffa03ee25f>] rtl_ips_nic_on+0x9f/0xd0 [rtlwifi]
:[244099.038052]  [<ffffffffa03eae45>] rtl_op_config+0x205/0x3a0 [rtlwifi]
:[244099.038131]  [<ffffffffa0344557>] ieee80211_hw_config+0x127/0x230 [mac80211]
:[244099.038136]  [<ffffffffa035a23e>] ieee80211_recalc_idle+0x4e/0x60 [mac80211]
:[244099.038136]  [<ffffffffa0355ef0>] ieee80211_work_work+0x3d0/0x16d0 [mac80211]
:[244099.038136]  [<ffffffff8105bed5>] ? set_next_entity+0xa5/0xc0
:[244099.038136]  [<ffffffff810136e5>] ? __switch_to+0xf5/0x360
:[244099.038136]  [<ffffffffa0355b20>] ? free_work+0x20/0x20 [mac80211]
:[244099.038136]  [<ffffffff8108a7ad>] process_one_work+0x11d/0x470
:[244099.038136]  [<ffffffff8108bbaf>] worker_thread+0x15f/0x350
:[244099.038136]  [<ffffffff8108ba50>] ? manage_workers+0x230/0x230
:[244099.038136]  [<ffffffff8109056c>] kthread+0x8c/0xa0
:[244099.038136]  [<ffffffff815eec34>] kernel_thread_helper+0x4/0x10
:[244099.038136]  [<ffffffff810904e0>] ? kthread_worker_fn+0x190/0x190
:[244099.038136]  [<ffffffff815eec30>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: a15a1804-a915-499a-8f16-39556b513cd2
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3192.98
:CPU Vendor: AuthenticAMD
:CPU Model: AMD E-350 Processor
:CPU Stepping: 0
:CPU Family: 20
:CPU Model Num: 1
:Number of CPUs: 2
:CPU Speed: 1600
:System Memory: 3552
:System Swap: 5599
:Vendor: TOSHIBA
:System: Satellite L750D PSK4YC-00W00J
:Form factor: Notebook
:Kernel: 3.3.1-5.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:4473:64850) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4130:5392:4130:5392) pci, None, HOST/PCI, Pavilion DM1Z-3000 Host bridge
:(4098:4884:4473:64850) pci, snd_hda_intel, MULTIMEDIA, Wrestler HDMI Audio [Radeon HD 6250/6310]
:(4098:38914:4473:64850) pci, radeon, VIDEO, AMD Radeon HD 6310 GraphicsATI
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4098:17302:4473:64850) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4473:64850) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17314:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17285:4473:64850) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4473:64850) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4473:64851) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(6505:8290:4473:64850) pci, atl1c, ETHERNET, AR8152 v2.0 Fast Ethernet
:(4098:17302:4473:64850) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4473:64850) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4473:64850) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4473:64850) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33142:4332:33153) pci, rtl8192ce, NETWORK, RTL8188CE 802.11b/g/n WiFi Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_nexploitsyste-Fedora16 / ext4 4096 4096 59411872 35795918 32821813 14876672 14129173 14129173
:/dev/sda2 /boot ext4 1024 1024 508745 250656 225056 128016 127780 127780
:
Comment 1 Josh Boyer 2012-04-16 15:46:19 EDT
I recall a similar issue in the b44 driver that was fixed with commit 15ac2b08a2fd0f4aacbe8ae39788252fea6fbe63, however that might not be the same issue here.
Comment 2 Larry Finger 2012-04-16 16:48:13 EDT
I don't think it is the same. That patch for b44 changed a dev_kfree_skb() to dev_kfree_skb_irq(). In this case, the call is kfree_skb(). In addition, the call is inside a spin_lock_irqsave() / spin_unlock_irqrestore() pair. If I understand locking correctly, interrupts should be disabled here.
 
This warning never triggers on my system. Any thoughts on why it happens here?

I see some conntrack routines in the traceback. Does it still fail if the firewall is disabled?
Comment 3 Larry Finger 2012-04-30 00:10:59 EDT
I asked a question that has not yet been answered!
Comment 4 John W. Linville 2012-04-30 09:54:53 EDT
cameron, can you recreate this issue with the firewall disabled?

Note You need to log in before you can comment on or make changes to this bug.